/*
 * Modification History
 *
 * 2000-November-14		Jason Rohrer
 * Created.
 */

package ctf.agent;


import ctf.common.AgentEnvironment;
import ctf.agent.Agent;

import ctf.common.AgentAction;

/**
 * An agent that throws exceptions every 500 moves.
 * 
 * @author Jason Rohrer
 */
public class BadAgent extends Agent {
	
	static int sNumMovesTotal = 0;
	static int sThrowExceptionAt = 500;
	
	
	int mArray[] = new int[10];
	
	// implements Agent.getMove() interface
	public int getMove( AgentEnvironment inEnvironment ) {
		sNumMovesTotal++;
		
		if( sNumMovesTotal % sThrowExceptionAt == 0 ) {
			badMethod();
			}
		
		double rand = Math.random();
		
		if( rand < 0.25 ) {
			return AgentAction.MOVE_NORTH;
			}
		else if( rand < 0.5 ) {
			return AgentAction.MOVE_SOUTH;
			}
		else if( rand < 0.75 ) {
			return AgentAction.MOVE_EAST;
			}
		else {
			return AgentAction.MOVE_WEST;
			}	
		}
	
	// generate an out of bounds exception
	public void badMethod() {
		int temp = mArray[20];
		}
	
	}
